summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Kent Fritz <fritz.kent@gmail.com>2016-11-24 21:01:47 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-26 11:47:24 +0700
commitb6c39a002f4ba8ff101bbcd50eea0b65fbbdee7c (patch)
tree8a8fd54bb5c828654938ef50b47c01da9fdc3a9d
parent893a75f6b1e34367fc118e8a8e9f598cccc93e00 (diff)
downloadslackbuilds-b6c39a002f4ba8ff101bbcd50eea0b65fbbdee7c.tar.gz
slackbuilds-b6c39a002f4ba8ff101bbcd50eea0b65fbbdee7c.tar.xz
system/entr: Updated for version 3.6.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/entr/entr.SlackBuild16
-rw-r--r--system/entr/entr.info6
2 files changed, 11 insertions, 11 deletions
diff --git a/system/entr/entr.SlackBuild b/system/entr/entr.SlackBuild
index 23448a09b1..671ea40e31 100644
--- a/system/entr/entr.SlackBuild
+++ b/system/entr/entr.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for entr
-# Copyright 2014 Kent Fritz, Mountain View, CA
+# Copyright 2014-2016 Kent Fritz, Mountain View, CA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +23,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=entr
-VERSION=${VERSION:-2.9}
+VERSION=${VERSION:-3.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -60,16 +60,16 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
DIRNAME=`tar tf $CWD/$PRGNAM-$VERSION.tar.gz | head -1 | cut -d/ -f1`
-[ "${DIRNAME}x" == "x" -o "$DIRNAME" == "/" ] && exit 1
+[ "${DIRNAME}" = "" -o "$DIRNAME" = "/" ] && exit 1
rm -rf $DIRNAME
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $DIRNAME
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
./configure
make CFLAGS="$SLKCFLAGS"
diff --git a/system/entr/entr.info b/system/entr/entr.info
index ea8ba6f9a3..f1b145b004 100644
--- a/system/entr/entr.info
+++ b/system/entr/entr.info
@@ -1,8 +1,8 @@
PRGNAM="entr"
-VERSION="2.9"
+VERSION="3.6"
HOMEPAGE="http://entrproject.org"
-DOWNLOAD="http://entrproject.org/code/entr-2.9.tar.gz"
-MD5SUM="0b3b4f6a84f61999a4a306d58962c744"
+DOWNLOAD="http://entrproject.org/code/entr-3.6.tar.gz"
+MD5SUM="072eed7153296a8fae6ebdedefed9fd4"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""